Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.fo
Enum OdfBreakBeforeType

    java.lang.Object
      java.lang.Enum<OdfBreakBeforeType>
          org.odftoolkit.odfdom.dom.type.fo.OdfBreakBeforeType

All Implemented Interfaces:
  Serializable, Comparable<OdfBreakBeforeType>

    public enum OdfBreakBeforeType

extends Enum<OdfBreakBeforeType>

DOM implementation of OpenDocument attribute fo:break-before.

Enum Constant Summary
`AUTO`
`COLUMN`
`PAGE`

Method Summary
`static OdfBreakBeforeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfBreakBeforeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfBreakBeforeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfBreakBeforeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### AUTO

    public static final OdfBreakBeforeType AUTO

### COLUMN

    public static final OdfBreakBeforeType COLUMN

### PAGE

    public static final OdfBreakBeforeType PAGE

Method Detail

### values

    public static OdfBreakBeforeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfBreakBeforeType c : OdfBreakBeforeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfBreakBeforeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfBreakBeforeType>`
  Returns:
    return the name of OdfBreakBeforeType

### toString

    public static String toString(OdfBreakBeforeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfBreakBeforeType, see fo:break-before
  Returns:
    return the name of OdfBreakBeforeType

### enumValueOf

    public static OdfBreakBeforeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfBreakBeforeType
  Returns:
    return the constant of OdfBreakBeforeType, see fo:break-before

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.